nz-spin([nzSpinning]="actionLoading$ | async")
  ng-container(*ngIf="action$ | async as action")
    a#ryax-return(routerLink="/library", nz-button, [nzGhost]="true", nzType="default")
      i(nz-icon, nzType="arrow-left", nzTheme="outline")
      | Library

    #ryax-action-header
      h1 Action "{{ action.name }}"
      button(nz-button, nzType="primary", [nzDanger]="true", (click)="deleteAction()") Delete action

    #ryax-action-details
      nz-card
        #ryax-action-title
          h2 {{ action.name }}
          img([src]="'/api/studio/static/logo/' + action.id")

        label Action ID
        p {{ action.id }}

        label Versions ({{ action.versions.length }})
        nz-select([formControl]="currentVersion")
          nz-option(*ngFor="let version of action.versions", [nzValue]="version.name", [nzLabel]="version.name")

        label Description
        p {{ action.description }}

        label Kind
        nz-tag {{ action.kind }}

        label Categories
        nz-tag(*ngFor="let cat of action.categories")
          | {{ cat.name }}

        label Resources
        nz-list
          nz-list-item
            span CPU
            | {{ action.resources.cpu ? action.resources.cpu : "No request" }}
          nz-list-item
            span Memory
            | {{ action.resources.memory ? action.resources.memory : "No request"}}
          nz-list-item
            span Time (before the action is killed)
            | {{ action.resources.time ? action.resources.time : "No request"}}
          nz-list-item
            span GPU
            | {{ action.resources.gpu ? action.resources.gpu : "No request"}}
          nz-list-item

        label Output Lockfile:
        ng-container(*ngIf="action.lockfile != ''")
          a((click)="toggleDisplayLockfile()") ryax_lock.json ({{!showLockFile ? "Show" : "Hide"}})

        ng-container(*ngIf="showLockFile")
          ryax-console-display([textContent]="action.lockfile")

      nz-card
        h2 Inputs
        nz-table([nzData]="action.inputs", #inputTable, nzSize="middle", [nzHideOnSinglePage]="true")
          thead
            tr
              th Reference name
              th Display name
              th Type
              th Help
          tbody
            tr(*ngFor="let input of inputTable.data")
              td {{ input.technicalName }}
              td {{ input.name }}
              td {{ input.inputType }} {{ input.optional ? '(Optional)': '' }}
              td {{ input.help }}

        h2 Ouputs
        nz-table([nzData]="action.outputs", #outputTable, nzSize="middle", [nzHideOnSinglePage]="true")
          thead
            tr
              th Reference name
              th Display name
              th Type
              th Help
          tbody
            tr(*ngFor="let output of outputTable.data")
              td {{ output.technicalName }}
              td {{ output.name }}
              td {{ output.type }} {{ output.optional ? '(Optional)': '' }}
              td {{ output.help }}
